
%define _libdir64 %{_prefix}/lib64

Summary: A library that performs asynchronous DNS operations
Name: c-ares
Version: 1.14.0
Release: 1
License: MIT
Group: System Environment/Libraries
URL: http://c-ares.haxx.se/
Source0: http://c-ares.haxx.se/%{name}-%{version}.tar.gz
Source1: http://c-ares.haxx.se/%{name}-%{version}.tar.gz.asc
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
c-ares is a C library that performs DNS requests and name resolves 
asynchronously. c-ares is a fork of the library named 'ares', written 
by Greg Hudson at MIT.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Development files for c-ares
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkg-config

%description devel
This package contains the header files and static libraries needed to
compile applications or shared objects that use c-ares.


%prep
%setup -q
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cd 32bit && tar cf - . | (cd ../64bit ; tar xpf -)


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

export CC="cc_r"

export CFLAGS="-qmaxmem=16384 -O"
export CPPFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -I/opt/freeware/include"

cd 64bit
# first build the 64-bit version
export OBJECT_MODE=64
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir64} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --disable-tests
make %{?_smp_mflags}

cd ../32bit
# now build the 32-bit version
export OBJECT_MODE=32
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --disable-tests
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
export OBJECT_MODE=64
make DESTDIR=${RPM_BUILD_ROOT} install

cd ../32bit
export OBJECT_MODE=32
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}%{_libdir64}
  for f in *.a ; do
    /usr/bin/ar -X64 -x ${f}
  done

  cd ${RPM_BUILD_ROOT}%{_libdir}
  for f in *.a ; do
    /usr/bin/ar -X32 -x ${f}
  done
)

# add the 64-bit shared objects to the shared libraries containing already the
# 32-bit shared objects
/usr/bin/ar -X64 -q ${RPM_BUILD_ROOT}%{_libdir}/libcares.a ${RPM_BUILD_ROOT}%{_libdir64}/libcares.so*

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib lib64
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc 32bit/README.md 32bit/README.cares 32bit/CHANGES 32bit/NEWS 32bit/LICENSE.md
%{_libdir}/*.a
%{_libdir}/*.so*
%{_libdir64}/*.so*
/usr/lib/*.a
/usr/lib/*.so*
/usr/lib64/*.so*


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir64}/*.la
%{_libdir}/pkgconfig/libcares.pc
%{_libdir64}/pkgconfig/libcares.pc
%{_mandir}/man3/ares_*
/usr/include/*
/usr/lib/*.la
/usr/lib64/*.la


%changelog
* Thu Jun 14 2018 Michael Perzl <michael@perzl.org> - 1.14.0-1
- updated to version 1.14.0

* Thu Jun 14 2018 Michael Perzl <michael@perzl.org> - 1.13.0-1
- updated to version 1.13.0

* Thu Jun 14 2018 Michael Perzl <michael@perzl.org> - 1.12.0-1
- added RTL-style shared libraries
- updated to version 1.12.0

* Thu Jan 14 2016 Michael Perzl <michael@perzl.org> - 1.10.0-2
- added missing file ares_build.h

* Mon May 13 2013 Michael Perzl <michael@perzl.org> - 1.10.0-1
- updated to version 1.10.0

* Tue Mar 26 2013 Michael Perzl <michael@perzl.org> - 1.9.1-2
- fix proper 64-bit compilation

* Tue Jul 03 2012 Michael Perzl <michael@perzl.org> - 1.9.1-1
- updated to version 1.9.1

* Sat Apr 28 2012 Michael Perzl <michael@perzl.org> - 1.8.0-1
- updated to version 1.8.0

* Sun Aug 21 2011 Michael Perzl <michael@perzl.org> - 1.7.5-1
- updated to version 1.7.5

* Thu Dec 09 2010 Michael Perzl <michael@perzl.org> - 1.7.4-1
- updated to version 1.7.4

* Thu Oct 07 2010 Michael Perzl <michael@perzl.org> - 1.7.3-1
- updated to version 1.7.3

* Wed May 19 2010 Michael Perzl <michael@perzl.org> - 1.7.1-1
- first version for AIX V5.1 and higher
